Details

    • Similar Issues:
    • Released As:
      ssh-slaves-1.30.0

      Description

      After tested the plugin to compile against different Jenkins core versions, I have detected some changes that I have to make to test it.

      • Update Jenkins file to compile an test on Jenkins core 2.150.1, 2.164.1, and 2.168 (2 LTS and last weekly)
      • Compile and test weekly with JDK 11
      • Upgrade Jenkins core to 2.150.1, I will support 2 LTS versions
      • Remove JDKInstaller references, is not used in ssh-slaves and it is no longer in Jenkins core, it is in tool-jdk plugin
      • Remove deprecated constructors, all these constructors were marked with a warning in logs 6 months ago.
      • Remove unused code
      • Remove old fields related to deprecated constructors
      • Fix tests after changes
      • Remove deprecated package dependency javax.xml.bind
      • fix Inconsistent synchronization of hudson.plugins.sshslaves.SSHLauncher.host

        Attachments

          Issue Links

            Activity

            There are no comments yet on this issue.

              People

              • Assignee:
                ifernandezcalvo Ivan Fernandez Calvo
                Reporter:
                ifernandezcalvo Ivan Fernandez Calvo
              • Votes:
                0 Vote for this issue
                Watchers:
                1 Start watching this issue

                Dates

                • Created:
                  Updated:
                  Resolved: